#
# spec file for package rubygem-railties-3_2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-railties-3_2
Version:        3.2.22.5
Release:        1.6
%define mod_name railties
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -3_2
# MANUAL
%define rails_bin_name rails.%{rb_default_ruby_suffix}-%{version}
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  ruby-macros >= 5
# rdoc ~> 3.4
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc  < 4}
BuildRequires:  %{rubygem rdoc  => 3.4}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://www.rubyonrails.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Tools for creating, working with, and running Rails applications
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Rails internals: application bootup, plugins, generators, and rake tasks.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md README.rdoc" \
  -f
# MANUAL
# make sure it installs the right version when using rails-1.1
ruby -p -i.bak -e '$_.gsub!(/>= 0/, "= %{version}")' %{buildroot}%{_bindir}/%{rails_bin_name}
diff -urN %{buildroot}%{_bindir}/%{rails_bin_name}{.bak,} || :
rm %{buildroot}%{_bindir}/%{rails_bin_name}.bak
# /MANUAL

%gem_packages

%changelog
* Thu Sep 15 2016 coolo@suse.com
- updated to version 3.2.22.5
  see installed CHANGELOG.md
* Fri Aug 12 2016 coolo@suse.com
- updated to version 3.2.22.4
  see installed CHANGELOG.md
* Tue Mar  1 2016 coolo@suse.com
- updated to version 3.2.22.2
  see installed CHANGELOG.md
* Tue Jan 26 2016 coolo@suse.com
- updated to version 3.2.22.1
  see installed CHANGELOG.md
* Wed Jun 17 2015 coolo@suse.com
- updated to version 3.2.22
  see installed CHANGELOG.md
  [#]# Rails 3.2.22 (Jun 16, 2015) ##
  * No changes.
* Tue Feb 10 2015 coolo@suse.com
- updated to version 3.2.21, version bump
* Thu Apr  3 2014 jmassaguerpla@suse.com
- updated to version 3.2.17
  * I had to update other rails components because of security issues,
  thus I am updating this one so that we have all rails components
  in the same version
* Tue Mar 19 2013 coolo@suse.com
- updated to version 3.2.13, version bump
* Tue Feb 12 2013 coolo@suse.com
- updated to version 3.2.12
* Tue Jan  8 2013 coolo@suse.com
- updated to version 3.2.11
* Thu Jan  3 2013 coolo@suse.com
- updated to version 3.2.10, version bump
* Tue Nov 13 2012 coolo@suse.com
- updated to version 3.2.9
  * Update supported ruby versions error message in ruby_version_check.rb *Lihan Li*
* Fri Aug 10 2012 coolo@suse.com
- updated to version 3.2.8
  * ERB scaffold generator use the `:data => { :confirm => "Text" }` syntax instead of `:confirm`.
* Fri Jul 27 2012 coolo@suse.com
- update to 3.2.7
  * Since Rails 3.2, use layout false to render no layout
  * Use strict_args_position! if available from Thor
- adapt to latest gem2rpm templates
* Thu Jun 28 2012 coolo@suse.com
- update to 3.2.6,
  * Add hook for resource route's generator. *Santiago Pastorino*
* Wed Apr  4 2012 coolo@suse.com
- update to 3.2.3, no changes
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Fri Jan 27 2012 mrueckert@suse.de
- update to 3.2.1
  * Documentation fixes.
  * Migration generation understands decimal{1.2} and decimal{1-2},
    in addition to decimal{1,2}. *José Valim*
* Thu Jan 26 2012 mrueckert@suse.de
- initial package
